Gimp-Forum.net

Full Version: 2.10 promoted to general usage
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Since a majority of users (here and elsewhere) seem to be on 2.10, we will consider that the "General" section is for 2.10. As q consequence:
  • I have started a "Gimp 2.8" sub-forum for those who prefer vintage software
  • I have disabled thread creation in the Gimp 2.10 forum (posts to existing threads are still possible).